Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## android.device.scanner.configuration
Class PropertyID

    java.lang.Object
      android.device.scanner.configuration.PropertyID

    public final class PropertyID

extends java.lang.Object

Field Summary
`static int` | `AUSTRALIAN_POST_ENABLE`
`static int` | `AZTEC_ENABLE`
`static int` | `AZTEC_INVERSE`
`static int` | `BAR_CODES_TO_READ`
`static int` | `C25_ENABLE`
`static int` | `CODABAR_CLSI`
`static int` | `CODABAR_ENABLE`
`static int` | `CODABAR_LENGTH1`
`static int` | `CODABAR_LENGTH2`
`static int` | `CODABAR_NOTIS`
`static int` | `CODE_ISBT_128`
`static int` | `CODE11_ENABLE`
`static int` | `CODE11_ENABLE_CHECK`
`static int` | `CODE11_LENGTH1`
`static int` | `CODE11_LENGTH2`
`static int` | `CODE11_SEND_CHECK`
`static int` | `CODE128_ENABLE`
`static int` | `CODE128_GS1_ENABLE`
`static int` | `CODE128_LENGTH1`
`static int` | `CODE128_LENGTH2`
`static int` | `CODE32_ENABLE`
`static int` | `CODE32_SEND_START`
`static int` | `CODE39_ENABLE`
`static int` | `CODE39_ENABLE_CHECK`
`static int` | `CODE39_FULL_ASCII`
`static int` | `CODE39_LENGTH1`
`static int` | `CODE39_LENGTH2`
`static int` | `CODE39_SEND_CHECK`
`static int` | `CODE93_ENABLE`
`static int` | `CODE93_LENGTH1`
`static int` | `CODE93_LENGTH2`
`static int` | `CODING_FORMAT`
`static int` | `COMPOSITE_CC_AB_ENABLE`
`static int` | `COMPOSITE_CC_C_ENABLE`
`static int` | `COMPOSITE_TLC39_ENABLE`
`static int` | `D25_ENABLE`
`static int` | `D25_LENGTH1`
`static int` | `D25_LENGTH2`
`static int` | `DATAMATRIX_ENABLE`
`static int` | `DATAMATRIX_INVERSE`
`static int` | `DATAMATRIX_LENGTH1`
`static int` | `DATAMATRIX_LENGTH2`
`static int` | `DEC_2D_CENTERING_ENABLE`
`static int` | `DEC_2D_CENTERING_MODE`
`static int` | `DEC_2D_DEBUG_WINDOW_ENABLE`
`static int` | `DEC_2D_LIGHTS_MODE`
`static int` | `DEC_2D_WINDOW_LOWER_RX`
`static int` | `DEC_2D_WINDOW_LOWER_RY`
`static int` | `DEC_2D_WINDOW_UPPER_LX`
`static int` | `DEC_2D_WINDOW_UPPER_LY`
`static int` | `DEC_ES_CONFORM_IMAGE`
`static int` | `DEC_ES_CONFORM_TRIES`
`static int` | `DEC_ES_EXPOSURE_METHOD`
`static int` | `DEC_ES_FIXED_FRAME_RATE`
`static int` | `DEC_ES_FIXED_GAIN`
`static int` | `DEC_ES_FRAME_RATE`
`static int` | `DEC_ES_MAX_EXP`
`static int` | `DEC_ES_MAX_GAIN`
`static int` | `DEC_ES_SPECULAR_EXCLUSION`
`static int` | `DEC_ES_SPECULAR_LIMIT`
`static int` | `DEC_ES_SPECULAR_SAT`
`static int` | `DEC_ES_TARGET_ACCEPT_GAP`
`static int` | `DEC_ES_TARGET_PERCENTILE`
`static int` | `DEC_ES_TARGET_VALUE`
`static int` | `DEC_ILLUM_POWER_LEVEL`
`static int` | `DEC_PICKLIST_AIM_MODE`
`static int` | `EAN_EXT_ENABLE_2_5_DIGIT`
`static int` | `EAN13_BOOKLAND_FORMAT`
`static int` | `EAN13_BOOKLANDEAN`
`static int` | `EAN13_ENABLE`
`static int` | `EAN8_ENABLE`
`static int` | `EAN8_TO_EAN13`
`static int` | `FULL_READ_MODE`
`static int` | `FUZZY_1D_PROCESSING`
`static int` | `GOOD_READ_BEEP_ENABLE`
`static int` | `GOOD_READ_VIBRATE_ENABLE`
`static int` | `GS1_14_ENABLE`
`static int` | `GS1_14_TO_UPC_EAN`
`static int` | `GS1_EXP_ENABLE`
`static int` | `GS1_EXP_LENGTH1`
`static int` | `GS1_EXP_LENGTH2`
`static int` | `GS1_LIMIT_ENABLE`
`static int` | `HANXIN_ENABLE`
`static int` | `HANXIN_INVERSE`
`static int` | `I25_ENABLE`
`static int` | `I25_ENABLE_CHECK`
`static int` | `I25_LENGTH1`
`static int` | `I25_LENGTH2`
`static int` | `I25_SEND_CHECK`
`static int` | `I25_TO_EAN13`
`static int` | `IMAGE_EXPOSURE_MODE`
`static int` | `IMAGE_FIXED_EXPOSURE`
`static int` | `IMAGE_ONE_D_INVERSE` IMAGE_ONE_D_INVERSE: REGULAR_ONLY = 0; INVERSE_ONLY = 1; INVERSE_AUTOD = 2;
`static int` | `IMAGE_PICKLIST_MODE` To set 2D Scanner phone modes Parameters Values: VALUE_IMAGE_PICKLIST_MODE_Enable 1 VALUE_IMAGE_PICKLIST_MODE_Disable 0 VALUE_IMAGE_PICKLIST_MODE_Default 0
`static int` | `JAPANESE_POST_ENABLE`
`static int` | `KIX_CODE_ENABLE`
`static int` | `LABEL_APPEND_ENTER`
`static int` | `LABEL_MATCHER_PATTERN`
`static int` | `LABEL_PREFIX`
`static int` | `LABEL_SUFFIX`
`static int` | `LASER_ON_TIME` To set Scanner laser on time Parameters Values: value * 100 ms VALUE_LASER_ON_TIME_min 5 VALUE_LASER_ON_TIME_max 99 VALUE_LASER_ON_TIME_Default 30
`static int` | `LINEAR_CODE_TYPE_SECURITY_LEVEL` To set Scanner linear code type security level Parameters Values: VALUE_LINEAR_CODE_TYPE_SECURITY_LEVEL_min 1 VALUE_LINEAR_CODE_TYPE_SECURITY_LEVEL_max 4 VALUE_LINEAR_CODE_TYPE_SECURITY_LEVEL_Default 1
`static int` | `M25_ENABLE`
`static int` | `MAXICODE_ENABLE`
`static int` | `MICROPDF417_ENABLE`
`static int` | `MICROQRCODE_ENABLE`
`static int` | `MSI_CHECK_2_MOD_11`
`static int` | `MSI_ENABLE`
`static int` | `MSI_LENGTH1`
`static int` | `MSI_LENGTH2`
`static int` | `MSI_REQUIRE_2_CHECK`
`static int` | `MSI_SEND_CHECK`
`static int` | `MULTI_DECODE_MODE`
`static int` | `PDF417_ENABLE`
`static int` | `QRCODE_ENABLE`
`static int` | `QRCODE_INVERSE`
`static int` | `ROYAL_MAIL_ENABLE`
`static int` | `ROYAL_MAIL_SEND_CHECK`
`static int` | `SEND_GOOD_READ_BEEP_ENABLE` To set Scanner success beep or vibrate when SendBroadcast SendBroadcast Values: `WEDGE_INTENT_ACTION_NAME` `WEDGE_INTENT_DATA_STRING_TAG`
`static int` | `SEND_GOOD_READ_VIBRATE_ENABLE`
`static int` | `SEND_LABEL_PREFIX_SUFFIX`
`static int` | `TIMEOUT_BETWEEN_SAME_SYMBOL` To set Scanner decoding timeout between same symbol Parameters Values: value * 100 ms VALUE_TIMEOUT_BETWEEN_SAME_SYMBOL_min 1 VALUE_TIMEOUT_BETWEEN_SAME_SYMBOL_max 99 VALUE_TIMEOUT_BETWEEN_SAME_SYMBOL_Default 10
`static int` | `TRIGGERING_LOCK`
`static int` | `TRIGGERING_MODES` To set Scanner trigger modes Parameters Values: `Triggering`
`static int` | `TRIOPTIC_ENABLE`
`static int` | `UCC_COUPON_EXT_CODE`
`static int` | `UPC_EAN_SECURITY_LEVEL` To set Scanner linear code type security level Parameters Values: VALUE_UPC_EAN_SECURITY_LEVEL_min 0 VALUE_UPC_EAN_SECURITY_LEVEL_max 3 VALUE_UPC_EAN_SECURITY_LEVEL_Default 1
`static int` | `UPCA_ENABLE`
`static int` | `UPCA_SEND_CHECK`
`static int` | `UPCA_SEND_SYS`
`static int` | `UPCE_ENABLE`
`static int` | `UPCE_SEND_CHECK`
`static int` | `UPCE_SEND_SYS`
`static int` | `UPCE_TO_UPCA`
`static int` | `UPCE1_ENABLE`
`static int` | `UPCE1_SEND_CHECK`
`static int` | `UPCE1_SEND_SYS`
`static int` | `UPCE1_TO_UPCA`
`static int` | `UPU_FICS_ENABLE`
`static int` | `US_PLANET_ENABLE`
`static int` | `US_POSTAL_SEND_CHECK`
`static int` | `US_POSTNET_ENABLE`
`static int` | `USPS_4STATE_ENABLE`
`static int` | `WEDGE_INTENT_ACTION_NAME` In the Intent output plug-in configuration, the Intent action would be default value: `ScanManager#ACTION_DECODE`
`static int` | `WEDGE_INTENT_DATA_STRING_TAG` The decode related data added to the Intent’s bundle can be retrieved using the Intent.getStringtExtra() calls, using the following String tags default value: `ScanManager#BARCODE_STRING_TAG`
`static int` | `WEDGE_INTENT_DECODE_DATA_TAG`
`static int` | `WEDGE_INTENT_LABEL_TYPE_TAG`
`static int` | `WEDGE_KEYBOARD_ENABLE`
`static int` | `WEDGE_KEYBOARD_TYPE`

Constructor Summary
`PropertyID()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEND_GOOD_READ_BEEP_ENABLE

    public static final int SEND_GOOD_READ_BEEP_ENABLE

  To set Scanner success beep or vibrate when SendBroadcast SendBroadcast Values: `WEDGE_INTENT_ACTION_NAME` `WEDGE_INTENT_DATA_STRING_TAG`

  See Also:
    Constant Field Values

### SEND_GOOD_READ_VIBRATE_ENABLE

    public static final int SEND_GOOD_READ_VIBRATE_ENABLE

See Also:
  Constant Field Values

### TRIGGERING_MODES

    public static final int TRIGGERING_MODES

  To set Scanner trigger modes Parameters Values: `Triggering`

  See Also:
    Constant Field Values

### GOOD_READ_BEEP_ENABLE

    public static final int GOOD_READ_BEEP_ENABLE

See Also:
  Constant Field Values

### GOOD_READ_VIBRATE_ENABLE

    public static final int GOOD_READ_VIBRATE_ENABLE

See Also:
  Constant Field Values

### LABEL_APPEND_ENTER

    public static final int LABEL_APPEND_ENTER

See Also:
  Constant Field Values

### IMAGE_PICKLIST_MODE

    public static final int IMAGE_PICKLIST_MODE

  To set 2D Scanner phone modes Parameters Values: VALUE_IMAGE_PICKLIST_MODE_Enable 1 VALUE_IMAGE_PICKLIST_MODE_Disable 0 VALUE_IMAGE_PICKLIST_MODE_Default 0

  See Also:
    Constant Field Values

### TRIGGERING_LOCK

    public static final int TRIGGERING_LOCK

See Also:
  Constant Field Values

### IMAGE_ONE_D_INVERSE

    public static final int IMAGE_ONE_D_INVERSE

  IMAGE_ONE_D_INVERSE: REGULAR_ONLY = 0; INVERSE_ONLY = 1; INVERSE_AUTOD = 2;

  See Also:
    Constant Field Values

### LABEL_MATCHER_PATTERN

    public static final int LABEL_MATCHER_PATTERN

See Also:
  Constant Field Values

### SEND_LABEL_PREFIX_SUFFIX

    public static final int SEND_LABEL_PREFIX_SUFFIX

See Also:
  Constant Field Values

### LABEL_PREFIX

    public static final int LABEL_PREFIX

See Also:
  Constant Field Values

### LABEL_SUFFIX

    public static final int LABEL_SUFFIX

See Also:
  Constant Field Values

### LASER_ON_TIME

    public static final int LASER_ON_TIME

  To set Scanner laser on time Parameters Values: value * 100 ms VALUE_LASER_ON_TIME_min 5 VALUE_LASER_ON_TIME_max 99 VALUE_LASER_ON_TIME_Default 30

  See Also:
    Constant Field Values

### TIMEOUT_BETWEEN_SAME_SYMBOL

    public static final int TIMEOUT_BETWEEN_SAME_SYMBOL

  To set Scanner decoding timeout between same symbol Parameters Values: value * 100 ms VALUE_TIMEOUT_BETWEEN_SAME_SYMBOL_min 1 VALUE_TIMEOUT_BETWEEN_SAME_SYMBOL_max 99 VALUE_TIMEOUT_BETWEEN_SAME_SYMBOL_Default 10

  See Also:
    Constant Field Values

### LINEAR_CODE_TYPE_SECURITY_LEVEL

    public static final int LINEAR_CODE_TYPE_SECURITY_LEVEL

  To set Scanner linear code type security level Parameters Values: VALUE_LINEAR_CODE_TYPE_SECURITY_LEVEL_min 1 VALUE_LINEAR_CODE_TYPE_SECURITY_LEVEL_max 4 VALUE_LINEAR_CODE_TYPE_SECURITY_LEVEL_Default 1

  See Also:
    Constant Field Values

### FUZZY_1D_PROCESSING

    public static final int FUZZY_1D_PROCESSING

See Also:
  Constant Field Values

### MULTI_DECODE_MODE

    public static final int MULTI_DECODE_MODE

See Also:
  Constant Field Values

### BAR_CODES_TO_READ

    public static final int BAR_CODES_TO_READ

See Also:
  Constant Field Values

### FULL_READ_MODE

    public static final int FULL_READ_MODE

See Also:
  Constant Field Values

### CODING_FORMAT

    public static final int CODING_FORMAT

See Also:
  Constant Field Values

### IMAGE_EXPOSURE_MODE

    public static final int IMAGE_EXPOSURE_MODE

See Also:
  Constant Field Values

### IMAGE_FIXED_EXPOSURE

    public static final int IMAGE_FIXED_EXPOSURE

See Also:
  Constant Field Values

### CODE39_ENABLE

    public static final int CODE39_ENABLE

See Also:
  Constant Field Values

### CODE39_ENABLE_CHECK

    public static final int CODE39_ENABLE_CHECK

See Also:
  Constant Field Values

### CODE39_SEND_CHECK

    public static final int CODE39_SEND_CHECK

See Also:
  Constant Field Values

### CODE39_FULL_ASCII

    public static final int CODE39_FULL_ASCII

See Also:
  Constant Field Values

### CODE39_LENGTH1

    public static final int CODE39_LENGTH1

See Also:
  Constant Field Values

### CODE39_LENGTH2

    public static final int CODE39_LENGTH2

See Also:
  Constant Field Values

### TRIOPTIC_ENABLE

    public static final int TRIOPTIC_ENABLE

See Also:
  Constant Field Values

### CODE32_ENABLE

    public static final int CODE32_ENABLE

See Also:
  Constant Field Values

### CODE32_SEND_START

    public static final int CODE32_SEND_START

See Also:
  Constant Field Values

### C25_ENABLE

    public static final int C25_ENABLE

See Also:
  Constant Field Values

### D25_ENABLE

    public static final int D25_ENABLE

See Also:
  Constant Field Values

### D25_LENGTH1

    public static final int D25_LENGTH1

See Also:
  Constant Field Values

### D25_LENGTH2

    public static final int D25_LENGTH2

See Also:
  Constant Field Values

### M25_ENABLE

    public static final int M25_ENABLE

See Also:
  Constant Field Values

### CODE11_ENABLE

    public static final int CODE11_ENABLE

See Also:
  Constant Field Values

### CODE11_ENABLE_CHECK

    public static final int CODE11_ENABLE_CHECK

See Also:
  Constant Field Values

### CODE11_SEND_CHECK

    public static final int CODE11_SEND_CHECK

See Also:
  Constant Field Values

### CODE11_LENGTH1

    public static final int CODE11_LENGTH1

See Also:
  Constant Field Values

### CODE11_LENGTH2

    public static final int CODE11_LENGTH2

See Also:
  Constant Field Values

### I25_ENABLE

    public static final int I25_ENABLE

See Also:
  Constant Field Values

### I25_ENABLE_CHECK

    public static final int I25_ENABLE_CHECK

See Also:
  Constant Field Values

### I25_SEND_CHECK

    public static final int I25_SEND_CHECK

See Also:
  Constant Field Values

### I25_LENGTH1

    public static final int I25_LENGTH1

See Also:
  Constant Field Values

### I25_LENGTH2

    public static final int I25_LENGTH2

See Also:
  Constant Field Values

### I25_TO_EAN13

    public static final int I25_TO_EAN13

See Also:
  Constant Field Values

### CODABAR_ENABLE

    public static final int CODABAR_ENABLE

See Also:
  Constant Field Values

### CODABAR_NOTIS

    public static final int CODABAR_NOTIS

See Also:
  Constant Field Values

### CODABAR_CLSI

    public static final int CODABAR_CLSI

See Also:
  Constant Field Values

### CODABAR_LENGTH1

    public static final int CODABAR_LENGTH1

See Also:
  Constant Field Values

### CODABAR_LENGTH2

    public static final int CODABAR_LENGTH2

See Also:
  Constant Field Values

### CODE93_ENABLE

    public static final int CODE93_ENABLE

See Also:
  Constant Field Values

### CODE93_LENGTH1

    public static final int CODE93_LENGTH1

See Also:
  Constant Field Values

### CODE93_LENGTH2

    public static final int CODE93_LENGTH2

See Also:
  Constant Field Values

### CODE128_ENABLE

    public static final int CODE128_ENABLE

See Also:
  Constant Field Values

### CODE128_LENGTH1

    public static final int CODE128_LENGTH1

See Also:
  Constant Field Values

### CODE128_LENGTH2

    public static final int CODE128_LENGTH2

See Also:
  Constant Field Values

### CODE_ISBT_128

    public static final int CODE_ISBT_128

See Also:
  Constant Field Values

### CODE128_GS1_ENABLE

    public static final int CODE128_GS1_ENABLE

See Also:
  Constant Field Values

### UPCA_ENABLE

    public static final int UPCA_ENABLE

See Also:
  Constant Field Values

### UPCA_SEND_CHECK

    public static final int UPCA_SEND_CHECK

See Also:
  Constant Field Values

### UPCA_SEND_SYS

    public static final int UPCA_SEND_SYS

See Also:
  Constant Field Values

### UPCE_ENABLE

    public static final int UPCE_ENABLE

See Also:
  Constant Field Values

### UPCE_SEND_CHECK

    public static final int UPCE_SEND_CHECK

See Also:
  Constant Field Values

### UPCE_SEND_SYS

    public static final int UPCE_SEND_SYS

See Also:
  Constant Field Values

### UPCE_TO_UPCA

    public static final int UPCE_TO_UPCA

See Also:
  Constant Field Values

### UPCE1_ENABLE

    public static final int UPCE1_ENABLE

See Also:
  Constant Field Values

### UPCE1_SEND_CHECK

    public static final int UPCE1_SEND_CHECK

See Also:
  Constant Field Values

### UPCE1_SEND_SYS

    public static final int UPCE1_SEND_SYS

See Also:
  Constant Field Values

### UPCE1_TO_UPCA

    public static final int UPCE1_TO_UPCA

See Also:
  Constant Field Values

### EAN13_ENABLE

    public static final int EAN13_ENABLE

See Also:
  Constant Field Values

### EAN13_BOOKLANDEAN

    public static final int EAN13_BOOKLANDEAN

See Also:
  Constant Field Values

### EAN13_BOOKLAND_FORMAT

    public static final int EAN13_BOOKLAND_FORMAT

See Also:
  Constant Field Values

### EAN8_ENABLE

    public static final int EAN8_ENABLE

See Also:
  Constant Field Values

### EAN8_TO_EAN13

    public static final int EAN8_TO_EAN13

See Also:
  Constant Field Values

### EAN_EXT_ENABLE_2_5_DIGIT

    public static final int EAN_EXT_ENABLE_2_5_DIGIT

See Also:
  Constant Field Values

### UPC_EAN_SECURITY_LEVEL

    public static final int UPC_EAN_SECURITY_LEVEL

  To set Scanner linear code type security level Parameters Values: VALUE_UPC_EAN_SECURITY_LEVEL_min 0 VALUE_UPC_EAN_SECURITY_LEVEL_max 3 VALUE_UPC_EAN_SECURITY_LEVEL_Default 1

  See Also:
    Constant Field Values

### UCC_COUPON_EXT_CODE

    public static final int UCC_COUPON_EXT_CODE

See Also:
  Constant Field Values

### MSI_ENABLE

    public static final int MSI_ENABLE

See Also:
  Constant Field Values

### MSI_REQUIRE_2_CHECK

    public static final int MSI_REQUIRE_2_CHECK

See Also:
  Constant Field Values

### MSI_SEND_CHECK

    public static final int MSI_SEND_CHECK

See Also:
  Constant Field Values

### MSI_CHECK_2_MOD_11

    public static final int MSI_CHECK_2_MOD_11

See Also:
  Constant Field Values

### MSI_LENGTH1

    public static final int MSI_LENGTH1

See Also:
  Constant Field Values

### MSI_LENGTH2

    public static final int MSI_LENGTH2

See Also:
  Constant Field Values

### GS1_14_ENABLE

    public static final int GS1_14_ENABLE

See Also:
  Constant Field Values

### GS1_14_TO_UPC_EAN

    public static final int GS1_14_TO_UPC_EAN

See Also:
  Constant Field Values

### GS1_LIMIT_ENABLE

    public static final int GS1_LIMIT_ENABLE

See Also:
  Constant Field Values

### GS1_EXP_ENABLE

    public static final int GS1_EXP_ENABLE

See Also:
  Constant Field Values

### GS1_EXP_LENGTH1

    public static final int GS1_EXP_LENGTH1

See Also:
  Constant Field Values

### GS1_EXP_LENGTH2

    public static final int GS1_EXP_LENGTH2

See Also:
  Constant Field Values

### US_POSTNET_ENABLE

    public static final int US_POSTNET_ENABLE

See Also:
  Constant Field Values

### US_PLANET_ENABLE

    public static final int US_PLANET_ENABLE

See Also:
  Constant Field Values

### US_POSTAL_SEND_CHECK

    public static final int US_POSTAL_SEND_CHECK

See Also:
  Constant Field Values

### USPS_4STATE_ENABLE

    public static final int USPS_4STATE_ENABLE

See Also:
  Constant Field Values

### UPU_FICS_ENABLE

    public static final int UPU_FICS_ENABLE

See Also:
  Constant Field Values

### ROYAL_MAIL_ENABLE

    public static final int ROYAL_MAIL_ENABLE

See Also:
  Constant Field Values

### ROYAL_MAIL_SEND_CHECK

    public static final int ROYAL_MAIL_SEND_CHECK

See Also:
  Constant Field Values

### AUSTRALIAN_POST_ENABLE

    public static final int AUSTRALIAN_POST_ENABLE

See Also:
  Constant Field Values

### KIX_CODE_ENABLE

    public static final int KIX_CODE_ENABLE

See Also:
  Constant Field Values

### JAPANESE_POST_ENABLE

    public static final int JAPANESE_POST_ENABLE

See Also:
  Constant Field Values

### PDF417_ENABLE

    public static final int PDF417_ENABLE

See Also:
  Constant Field Values

### MICROPDF417_ENABLE

    public static final int MICROPDF417_ENABLE

See Also:
  Constant Field Values

### COMPOSITE_CC_AB_ENABLE

    public static final int COMPOSITE_CC_AB_ENABLE

See Also:
  Constant Field Values

### COMPOSITE_CC_C_ENABLE

    public static final int COMPOSITE_CC_C_ENABLE

See Also:
  Constant Field Values

### COMPOSITE_TLC39_ENABLE

    public static final int COMPOSITE_TLC39_ENABLE

See Also:
  Constant Field Values

### HANXIN_ENABLE

    public static final int HANXIN_ENABLE

See Also:
  Constant Field Values

### HANXIN_INVERSE

    public static final int HANXIN_INVERSE

See Also:
  Constant Field Values

### DATAMATRIX_ENABLE

    public static final int DATAMATRIX_ENABLE

See Also:
  Constant Field Values

### DATAMATRIX_LENGTH1

    public static final int DATAMATRIX_LENGTH1

See Also:
  Constant Field Values

### DATAMATRIX_LENGTH2

    public static final int DATAMATRIX_LENGTH2

See Also:
  Constant Field Values

### DATAMATRIX_INVERSE

    public static final int DATAMATRIX_INVERSE

See Also:
  Constant Field Values

### MAXICODE_ENABLE

    public static final int MAXICODE_ENABLE

See Also:
  Constant Field Values

### QRCODE_ENABLE

    public static final int QRCODE_ENABLE

See Also:
  Constant Field Values

### MICROQRCODE_ENABLE

    public static final int MICROQRCODE_ENABLE

See Also:
  Constant Field Values

### QRCODE_INVERSE

    public static final int QRCODE_INVERSE

See Also:
  Constant Field Values

### AZTEC_ENABLE

    public static final int AZTEC_ENABLE

See Also:
  Constant Field Values

### AZTEC_INVERSE

    public static final int AZTEC_INVERSE

See Also:
  Constant Field Values

### DEC_2D_LIGHTS_MODE

    public static final int DEC_2D_LIGHTS_MODE

See Also:
  Constant Field Values

### DEC_2D_CENTERING_ENABLE

    public static final int DEC_2D_CENTERING_ENABLE

See Also:
  Constant Field Values

### DEC_2D_CENTERING_MODE

    public static final int DEC_2D_CENTERING_MODE

See Also:
  Constant Field Values

### DEC_2D_WINDOW_UPPER_LX

    public static final int DEC_2D_WINDOW_UPPER_LX

See Also:
  Constant Field Values

### DEC_2D_WINDOW_UPPER_LY

    public static final int DEC_2D_WINDOW_UPPER_LY

See Also:
  Constant Field Values

### DEC_2D_WINDOW_LOWER_RX

    public static final int DEC_2D_WINDOW_LOWER_RX

See Also:
  Constant Field Values

### DEC_2D_WINDOW_LOWER_RY

    public static final int DEC_2D_WINDOW_LOWER_RY

See Also:
  Constant Field Values

### DEC_2D_DEBUG_WINDOW_ENABLE

    public static final int DEC_2D_DEBUG_WINDOW_ENABLE

See Also:
  Constant Field Values

### DEC_ES_EXPOSURE_METHOD

    public static final int DEC_ES_EXPOSURE_METHOD

See Also:
  Constant Field Values

### DEC_ES_TARGET_VALUE

    public static final int DEC_ES_TARGET_VALUE

See Also:
  Constant Field Values

### DEC_ES_TARGET_PERCENTILE

    public static final int DEC_ES_TARGET_PERCENTILE

See Also:
  Constant Field Values

### DEC_ES_TARGET_ACCEPT_GAP

    public static final int DEC_ES_TARGET_ACCEPT_GAP

See Also:
  Constant Field Values

### DEC_ES_MAX_EXP

    public static final int DEC_ES_MAX_EXP

See Also:
  Constant Field Values

### DEC_ES_MAX_GAIN

    public static final int DEC_ES_MAX_GAIN

See Also:
  Constant Field Values

### DEC_ES_FRAME_RATE

    public static final int DEC_ES_FRAME_RATE

See Also:
  Constant Field Values

### DEC_ES_CONFORM_IMAGE

    public static final int DEC_ES_CONFORM_IMAGE

See Also:
  Constant Field Values

### DEC_ES_CONFORM_TRIES

    public static final int DEC_ES_CONFORM_TRIES

See Also:
  Constant Field Values

### DEC_ES_SPECULAR_EXCLUSION

    public static final int DEC_ES_SPECULAR_EXCLUSION

See Also:
  Constant Field Values

### DEC_ES_SPECULAR_SAT

    public static final int DEC_ES_SPECULAR_SAT

See Also:
  Constant Field Values

### DEC_ES_SPECULAR_LIMIT

    public static final int DEC_ES_SPECULAR_LIMIT

See Also:
  Constant Field Values

### DEC_ES_FIXED_GAIN

    public static final int DEC_ES_FIXED_GAIN

See Also:
  Constant Field Values

### DEC_ES_FIXED_FRAME_RATE

    public static final int DEC_ES_FIXED_FRAME_RATE

See Also:
  Constant Field Values

### DEC_ILLUM_POWER_LEVEL

    public static final int DEC_ILLUM_POWER_LEVEL

See Also:
  Constant Field Values

### DEC_PICKLIST_AIM_MODE

    public static final int DEC_PICKLIST_AIM_MODE

See Also:
  Constant Field Values

### WEDGE_KEYBOARD_ENABLE

    public static final int WEDGE_KEYBOARD_ENABLE

See Also:
  Constant Field Values

### WEDGE_KEYBOARD_TYPE

    public static final int WEDGE_KEYBOARD_TYPE

See Also:
  Constant Field Values

### WEDGE_INTENT_ACTION_NAME

    public static final int WEDGE_INTENT_ACTION_NAME

  In the Intent output plug-in configuration, the Intent action would be default value: `ScanManager#ACTION_DECODE`

  See Also:
    Constant Field Values

### WEDGE_INTENT_LABEL_TYPE_TAG

    public static final int WEDGE_INTENT_LABEL_TYPE_TAG

See Also:
  Constant Field Values

### WEDGE_INTENT_DATA_STRING_TAG

    public static final int WEDGE_INTENT_DATA_STRING_TAG

  The decode related data added to the Intent’s bundle can be retrieved using the Intent.getStringtExtra() calls, using the following String tags default value: `ScanManager#BARCODE_STRING_TAG`

  See Also:
    Constant Field Values

### WEDGE_INTENT_DECODE_DATA_TAG

    public static final int WEDGE_INTENT_DECODE_DATA_TAG

See Also:
  Constant Field Values

Constructor Detail

### PropertyID

    public PropertyID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD